using RealEstateTransactions.Entities;

namespace RealEstateTransactions.Repositories
{
    public interface IBuyerRepository
    {
        IEnumerable<Buyer> ReadBuyers();

        Buyer ReadBuyer(int id);

        void CreateBuyer(Buyer buyer);

        void UpdateBuyer(Buyer buyer);

        void DeleteBuyer(int id);
    }
}